// Person.java
//
// Informatics 102 Spring 2012
// Code Example
//
// Persons have a name field that must be initialized before the object
// has a complete "meaning" (i.e., before it represents an actual
// person).  In practice, there would be other fields besides just a
// name, but this field suffices for our example.
//
// Note that there is no code in this class that requires the name to
// be set before we can call getName() or toString().  We'll use an
// aspect to weave that code into the class.

public class Person
{
	private String name;
	
	
	public Person()
	{
	}
	
	
	public String getName()
	{
		return name;
	}
	
	
	public void setName(String name)
	{
		this.name = name;
	}
	
	
	public String toString()
	{
		return "Person(" + name + ")";
	}
}
